[P4-dev] Please help with the INT application in build the vxlan-gpe

Yongfeng Sun sunnogo at gmail.com
Sat Jul 8 10:59:48 EDT 2017


Have a look at this issue, https://github.com/p4lang/p4factory/issues/136
I have asked for vxlan-gpe kernel module for linux kernel 4.x last year,
however, it's a pity that no one reply the issue.
I degrade kernel 4.4.x to 3.19.8, and compile the kernel module. Everything
works fine.

Minh Pham <mngpham at gmail.com>于2017年7月8日周六 下午10:20写道:

> Hi Admin,
>
>
> I follow all the instructions in the README to run the INT application in
> the folder p4factory/apps in a VM running Ubuntu 16.04,
>
> In the Setup environment section, every thing went smoothly until the
> Build and install the VXLAN-GPE driver provided in the repo,
> there are errors in the make process to compile the vxlan.c
>
> Please help me to fix the error.
>
> Thanks very much for your help in advance.
>
>
> Regards,
>
> Minh Pham
>
> _______________________________________________
> P4-dev mailing list
> P4-dev at lists.p4.org
> http://lists.p4.org/mailman/listinfo/p4-dev_lists.p4.org
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.p4.org/pipermail/p4-dev_lists.p4.org/attachments/20170708/3d6b9e6a/attachment-0002.html>


More information about the P4-dev mailing list